SELECT
	T1.src
FROM
	userScript T1 INNER JOIN (
		SELECT
			scriptId,
			MIN(kind) AS kind
		FROM
			userScriptUrl
		WHERE
			? LIKE urlReg
		GROUP BY
			scriptId
	) T2 ON (
		T1._id = T2.scriptId
	)
WHERE
	T2.kind = 1 AND
	T1.enable = 1
ORDER BY
	T1.sort